# Kisho SDK (V2)

This is an SDK for tracing and analyzing OpenAI API calls and custom functions.

## Features

- Trace OpenAI API calls
- Trace custom functions
- Generate call graphs
- Calculate API usage costs
- Visualize execution flow

## Installation

pip install kisho

## Usage

### Tracing OpenAI API Calls

python
from kisho import trace_oai
client = trace_oai("your-api-key")
response = client.chat.completions.create(
model="gpt-3.5-turbo",
messages=[{"role": "user", "content": "Hello, world!"}],
agent_id="my_agent"
)

### Tracing Custom Functions

python
from kisho import traced_function
@traced_function
def my_function(arg1, arg2):

# Your function logic here

pass

### Starting the Tracing Server

python
from kisho import start_server
if name == "main":
start_server()

## API Reference

{Add detailed API reference here}

## Contributing

{Add contributing guidelines here}

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

{You can reference the LICENSE file content using:}
kisho/LICENSE
startLine: 1
endLine: 22

## Contact

aryan@kisho.app
